Bug 185613 - Old rawhide pspfontcache blocks startup
Old rawhide pspfontcache blocks startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-16 07:24 EST by Mark Wielaard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 04:54:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pspfontcache (13.24 KB, application/octet-stream)
2006-03-16 07:24 EST, Mark Wielaard
no flags Details

  None (edit)
Description Mark Wielaard 2006-03-16 07:24:10 EST
Description of problem:

With the attached psfontcache in ~/.openoffice.org2.0/user/psprint/psfontcache
open office will not start up.

Version-Release number of selected component (if applicable):

2.0.2-5.2.2

How reproducible:

Put the attached psfontcache in ~/.openoffice.org2.0/user/psprint/psfontcache
and run ooffice.

Actual results:

Splash screen comes up, progress meter goes half-way, then the machine will run
with 100% cpu but ooffice never fully starts up.

Without that psfontcache file ooffice starts up normally.
Comment 1 Mark Wielaard 2006-03-16 07:24:10 EST
Created attachment 126215 [details]
pspfontcache
Comment 2 Caolan McNamara 2006-03-16 07:41:13 EST
Ah, I see. You got real unlucky. There was a bug in the pspfontcache generation
during the rawhide cycle. 

The FC4 pspfontcache was ok, then there was a rawhide update which changed the
format accidentally, the next couple of OOo rawhide updates shipped with a "fix
the format" workaround. 

And then at the end of the cycle I reverted it as unneccessary anymore, so FC4
is ok, and FC5 is ok, but someone like yourself who got updated as far as the
broken version in rawhide and never updated (plus ran OOo) through one of the
"fix the cache releases" ended up like this.

It's a very annoying bug, but restricted to only a tiny subset of rawhide users
as opposed to any of the shipped releases. I'll have to see if it makes sense to
fix this upgrade loophole.

Note You need to log in before you can comment on or make changes to this bug.